# WorkItemProgressEvent

interface WorkItemProgressEvent : ProgressEvent

Root interface for all events that signal progress while executing a work item.

#### Since

5.1

#### Inheritors

WorkItemStartEvent
WorkItemFinishEvent

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): WorkItemOperationDescriptor
Returns the description of the work item for which progress is reported.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long